 program testRunge;
 Uses Kernel;
  Const  n=2;
  type mass_n=array[1..n] of real;
  var
     i,j,k,nn           : integer;
     ss                 : integer; { this is a global parameter }
     hs                 : real;    { from the Runge }
     y,z,yfin           : mass_n;
     xfin,eta,eps,x     : real;
     prim               : boolean;
     lex                : array[1..10] of real;

  procedure FexRunge(var x: real; var y: mass_n; n: integer; var z: mass_n);
     begin
       z[1]:=y[2];
       z[2]:=-y[1];
     end;

{$I RUNGE.PAS}

  Begin
    hs:=0.;
    x:=0.;
    y[1]:=0.;
    y[2]:=1.0;
    eps:=1e-7; eta:=1e-7;
    xfin:=7.0;
    lex[1]:=1.0; lex[2]:=2.0; lex[3]:=4; lex[5]:=7.0; nn:=5;

    prim:=true;
      for i:=1 to nn do
        begin
          xfin:=lex[i];
          Runge(x,y,n,eps,eta,prim,xfin,yfin);
          x:=xfin;  prim:=false;
          for j:=1 to 2 do y[j]:=yfin[j];
        end;

    writeln(yfin[1],yfin[2],xfin);
    writeln(sin(7.0),cos(7.0));

  END.
