   program Smooth;
      USES Crt,Graph;
      type RealType  = double;
           mass_n_Sm = array[1..100] of RealType;
           mass_SxN  = array[1..1000] of RealType;
      var
          ihY,ff                :RealType;
          ys2,xs2               :longint;
          yscreen,xscreen       :longint;
          npOld                 :integer;
          numY,numX             :integer;
          XUp,YUp,XDw,YDw       :longint;
          GraphDriver,GraphMode :integer;
	  nn,s,i,np  : integer;
          hf         : RealType;
	  signal     : boolean;
          x          : mass_n_Sm;
          y          : mass_SxN;

{$I SMTH189.pas}
{-----------------------------------------------------}
    begin
       ClrScr;
      nn:=80; s:=5; hf:=0;
      randomize;

       for i:=0 to nn do
         begin
         ff:=random(i);
         writeln(ff);
         x[i+1]:=10.0*(cos(1.0*i/nn*3.141593/1.0)+0.001*ff);
         end;

{       write('n='); readln(nn);
       write('s='); readln(s);
       for i:=1 to nn do
	 begin write(' i=',i:2,'  x='); read(x[i]); end;     }
       writeln('--------------------------------------------------');
       Smooth189KW(nn,s,hf,np, x, y,signal);
       if not signal then Halt(1);
       writeln('--------------signal=',signal,'   ---------------------------');
{       for i:=1 to np do
       writeln(i,y[i]); }

{--------------------initialization Graphic-------------------------------}
	DetectGraph(GraphDriver,GraphMode);
	InitGraph(GraphDriver,GraphMode,'\tp\graph');
	if GraphResult < 0 then Halt(1);
	OutText('         This is Smooth Test for Random cos   ');
	for i:=1 to np do
	    PutPixel(round(i/np*700),round(y[i]*10)+120,1);
        for i:=1 to nn do
	    PutPixel(round(i/nn*700),round(x[i]*10)+100,1);
     readln;
     ClearDevice;
     CloseGraph;
{---------------------------------------------------------------------}

   end.