
program fmintest;
uses FMinU,crt;
var a,b,tol,z,Ymin,fase,x,x0,k: realtype;
    count,MaxI,NumIt,i   : integer;

function Fex(x:realtype):realtype;
begin
   inc(count);
   fex:=x*(x*x-2)-5
end;
procedure Fex2(x:realtype; var f,fase : realtype);
const a= 1; { a>0}
      b= -3 ; { b < 0 }
      c= 4 ; { c>0 }
   { det=4*a*c-b*b >0 }
       {   16-9= }
begin
   inc(count);
    k:=0.5; x0:=10000.0;
    f:=1e10/sqrt(sqr(1-x*x/(x0*x0))+k*k);
  { f:=sqr(sin(x)); }
  { f:=-1/(a*x*x+b*x+c);}
   fase:=6*x
end;


  procedure FminStApr(F:FunType2; ax,bx,tol : RealType; MaxIter : integer;
                               var xmin,Ymin,fase:RealType;
                               var NumIter : integer);
  const count : integer = 0;
  var
     D,FF,GG : RealType;
     x        : RealType;
  label  20,40,50;
  begin
     x:= ax;
     D:=(bx-ax)/4; F(X,FF,Fase);

 40: GG:=FF;
     X:=X+D;
     inc(count);
     if count > MaxIter then begin NumIter:=count; exit end;

     F(X,FF,Fase);
     IF FF >= GG  THEN D:=-D/4 else goto 40;
     IF ABS(D) > tol/4 THEN goto 40;
     Xmin:=X;
     Ymin:=FF;
     NumIter:=count;
end; { FminStApr }

begin
   ClrScr;
   count:=0;
   a:=5000; b:=15000; tol:=1e-9;
   z:=Fmin(Fex,a,b,tol);
   writeln('count=',count:5,'  z=',z:7:5);
   MaxI:=450;
   z:=0;
 {  x:=-55; i:=0;
   repeat
     x:=x+0.2;
     inc(i);
     Fex2(x,z,fase);
     writeln(x:5:2,'   ',z:12);
     if i mod 22 = 0 then readln;
   until x > 30; }
   NumIt:=1;
   FMINPro(Fex2,a,b,tol, MaxI,z,Ymin,fase,NumIt);
   writeln('NumIt=',NumIt:5,'  z=',z:7:5, '  Ymin=',Ymin:10:4,
                   '  fase=',fase:8:2);
   z:=0;
   FminStApr(Fex2,a,b,tol, MaxI,z,Ymin,fase,NumIt);
   writeln('NumIt=',NumIt:5,'  z=',z:7:5, '  Ymin=',Ymin:10:4,
                   '  fase=',fase:8:2);

end.
